List accounts by user
curl --request GET \
--url https://prod-api.pcxpay.com/v1/virtual-accounts/user/{user_id} \
--header 'Authorization: <authorization>' \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://prod-api.pcxpay.com/v1/virtual-accounts/user/{user_id}"
headers = {
"Authorization": "<authorization>",
"X-Api-Key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'X-Api-Key': '<x-api-key>'}
};
fetch('https://prod-api.pcxpay.com/v1/virtual-accounts/user/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"account_id": "<string>",
"org_id": "<string>",
"user_id": "<string>",
"currency": "<string>",
"balance": 123,
"ledger_balance": 123,
"account_number": "<string>",
"bank_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"message": "<string>",
"status": "error"
}Accounts
List accounts by user
GET
/
virtual-accounts
/
user
/
{user_id}
List accounts by user
Headers
Bearer JWT for user-facing flows (Bearer eyJraWQ...), or the literal string NONE when authenticating via API key.
Example:
"Bearer eyJraWQ..."
API key for server-to-server flows, or the literal string NONE when authenticating via JWT.
Example:
"pcx_abc123_xxxx"
Path Parameters
Response
List of virtual accounts
Show child attributes
Show child attributes
⌘I